include:
    - system.packages

system_ssh_add_keys:
    file.managed:
        - name: /root/.ssh/authorized_keys
        - source: salt://{{ tpldir }}/files/ssh_authorized_keys
        - makedirs: True
        - user: root
        - group: root
        - require:
            - system_packages_install

system_ssh_configuration:
    file.managed:
        - name: /etc/ssh/sshd_config
        - source: salt://{{ tpldir }}/files/ssh_sshd_config

system_ssh_enable:
    service.running:
        - name: sshd
        - enable: True
        - watch:
            - system_ssh_configuration
            - system_ssh_add_keys
        - require:
            - system_ssh_configuration
            - system_ssh_add_keys
